WebSphereJVMSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJVMSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJVMSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereJVMSettings

extends LogicalElement

Settings for a WebSphere Server Java Virtual Machine

Naming Rules:
  0="parent,number"
Persistable:
  true
Table Name:
  WASJVM
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBootClasspath()`
`java.lang.String` | `getClasspath()`
`java.lang.String` | `getDebugArgs()`
`boolean` | `getDebugMode()`
`boolean` | `getDisableJIT()`
`java.lang.String` | `getExecutableJarFileName()`
`java.lang.String` | `getGenericJvmArguments()`
`java.lang.String` | `getHprofArguments()`
`int` | `getInitialHeapSizeMB()`
`int` | `getMaximumHeapSizeMB()`
`int` | `getNumber()`
`java.lang.String` | `getOsName()`
`WebSphereProcessDefinition` | `getParent()`
`boolean` | `getRunHprof()`
`boolean` | `getVerboseModeClass()`
`boolean` | `getVerboseModeGarbageCollection()`
`boolean` | `getVerboseModeJNI()`
`boolean` | `hasBootClasspath()`
`boolean` | `hasClasspath()`
`boolean` | `hasDebugArgs()`
`boolean` | `hasDebugMode()`
`boolean` | `hasDisableJIT()`
`boolean` | `hasExecutableJarFileName()`
`boolean` | `hasGenericJvmArguments()`
`boolean` | `hasHprofArguments()`
`boolean` | `hasInitialHeapSizeMB()`
`boolean` | `hasMaximumHeapSizeMB()`
`boolean` | `hasNumber()`
`boolean` | `hasOsName()`
`boolean` | `hasParent()`
`boolean` | `hasRunHprof()`
`boolean` | `hasVerboseModeClass()`
`boolean` | `hasVerboseModeGarbageCollection()`
`boolean` | `hasVerboseModeJNI()`
`void` | `setBootClasspath(java.lang.String bootClasspath)`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setDebugArgs(java.lang.String debugArgs)`
`void` | `setDebugMode(boolean debugMode)`
`void` | `setDisableJIT(boolean disableJIT)`
`void` | `setExecutableJarFileName(java.lang.String executableJarFileName)`
`void` | `setGenericJvmArguments(java.lang.String genericJvmArguments)`
`void` | `setHprofArguments(java.lang.String hprofArgs)`
`void` | `setInitialHeapSizeMB(int initialHeapSize)`
`void` | `setMaximumHeapSizeMB(int maximumHeapSize)`
`void` | `setNumber(int num)`
`void` | `setOsName(java.lang.String osName)`
`void` | `setParent(WebSphereProcessDefinition parent)`
`void` | `setRunHprof(boolean hprof)`
`void` | `setVerboseModeClass(boolean verboseModeClass)`
`void` | `setVerboseModeGarbageCollection(boolean verboseModeGarbageCollection)`
`void` | `setVerboseModeJNI(boolean verboseModeJNI)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereProcessDefinition getParent()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setParent

    void setParent(WebSphereProcessDefinition parent)

### hasParent

    boolean hasParent()

### getNumber

    int getNumber()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumber

    void setNumber(int num)

### hasNumber

    boolean hasNumber()

### getClasspath

    java.lang.String getClasspath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClasspath

    void setClasspath(java.lang.String classpath)

### hasClasspath

    boolean hasClasspath()

### getBootClasspath

    java.lang.String getBootClasspath()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBootClasspath

    void setBootClasspath(java.lang.String bootClasspath)

### hasBootClasspath

    boolean hasBootClasspath()

### getVerboseModeClass

    boolean getVerboseModeClass()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseModeClass

    void setVerboseModeClass(boolean verboseModeClass)

### hasVerboseModeClass

    boolean hasVerboseModeClass()

### getVerboseModeGarbageCollection

    boolean getVerboseModeGarbageCollection()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseModeGarbageCollection

    void setVerboseModeGarbageCollection(boolean verboseModeGarbageCollection)

### hasVerboseModeGarbageCollection

    boolean hasVerboseModeGarbageCollection()

### getVerboseModeJNI

    boolean getVerboseModeJNI()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseModeJNI

    void setVerboseModeJNI(boolean verboseModeJNI)

### hasVerboseModeJNI

    boolean hasVerboseModeJNI()

### getInitialHeapSizeMB

    int getInitialHeapSizeMB()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitialHeapSizeMB

    void setInitialHeapSizeMB(int initialHeapSize)

### hasInitialHeapSizeMB

    boolean hasInitialHeapSizeMB()

### getMaximumHeapSizeMB

    int getMaximumHeapSizeMB()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaximumHeapSizeMB

    void setMaximumHeapSizeMB(int maximumHeapSize)

### hasMaximumHeapSizeMB

    boolean hasMaximumHeapSizeMB()

### getGenericJvmArguments

    java.lang.String getGenericJvmArguments()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGenericJvmArguments

    void setGenericJvmArguments(java.lang.String genericJvmArguments)

### hasGenericJvmArguments

    boolean hasGenericJvmArguments()

### getExecutableJarFileName

    java.lang.String getExecutableJarFileName()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableJarFileName

    void setExecutableJarFileName(java.lang.String executableJarFileName)

### hasExecutableJarFileName

    boolean hasExecutableJarFileName()

### getDebugMode

    boolean getDebugMode()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebugMode

    void setDebugMode(boolean debugMode)

### hasDebugMode

    boolean hasDebugMode()

### getDebugArgs

    java.lang.String getDebugArgs()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebugArgs

    void setDebugArgs(java.lang.String debugArgs)

### hasDebugArgs

    boolean hasDebugArgs()

### getDisableJIT

    boolean getDisableJIT()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisableJIT

    void setDisableJIT(boolean disableJIT)

### hasDisableJIT

    boolean hasDisableJIT()

### getOsName

    java.lang.String getOsName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOsName

    void setOsName(java.lang.String osName)

### hasOsName

    boolean hasOsName()

### getRunHprof

    boolean getRunHprof()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunHprof

    void setRunHprof(boolean hprof)

### hasRunHprof

    boolean hasRunHprof()

### getHprofArguments

    java.lang.String getHprofArguments()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHprofArguments

    void setHprofArguments(java.lang.String hprofArgs)

### hasHprofArguments

    boolean hasHprofArguments()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD